module(...)
--editorLineup Tạo dữ liệu
LINEUP_TYPE={[1]=[[single]],[2]=[[team]],[3]=[[boss]],[4]=[[yjfuben]],[5]=[[guideboss]],}

PRIOR_POS={
	boss={
		[4]={
			[1]={
				[1]={x=1.3799999952316,z=-1.8099999427795,},
				[2]={x=4.9800000190735,z=1.2599999904633,},
				[3]={x=-2.3599998950958,z=-4.7399997711182,},
				[4]={x=4.1300001144409,z=-1.1000000238419,},
				[5]={x=0.73000001907349,z=-4.4000000953674,},
				[6]={x=-1.66,z=-7.05,},
				[7]={x=-4.2,z=-6.95,},
				[8]={x=6.92,z=1.16,},
				[9]={x=2.7799999713898,z=-4.289999961853,},
				[10]={x=4.2699999809265,z=-2.7799999713898,},
			},
			[2]={
				[1]={x=-2.18,z=3.69,},
				[2]={x=-5.6099999427795,z=0.8,},
				[3]={x=1.08,z=7,},
				[4]={x=-3.04,z=9.19,},
				[5]={x=-6.6,z=4.81,},
				[6]={x=-7.53,z=-2.54,},
				[7]={x=-10.67,z=0.59,},
				[8]={x=-5.25,z=1.1699999570847,},
				[9]={x=-2.4900000095367,z=4.1500000953674,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
	},
	guideboss={
		[4]={
			[1]={
				[1]={x=1.3799999952316,z=-1.8099999427795,},
				[2]={x=4.9800000190735,z=1.2599999904633,},
				[3]={x=-2.3599998950958,z=-4.7399997711182,},
				[4]={x=4.1300001144409,z=-1.1000000238419,},
				[5]={x=0.73000001907349,z=-4.4000000953674,},
				[9]={x=2.7799999713898,z=-4.289999961853,},
				[10]={x=4.2699999809265,z=-2.7799999713898,},
			},
			[2]={
				[1]={x=-2.18,z=3.69,},
				[2]={x=-5.6099999427795,z=0.8,},
				[3]={x=1.08,z=7,},
				[4]={x=-3.04,z=9.19,},
				[5]={x=-6.6,z=4.81,},
				[6]={x=-7.53,z=-2.54,},
				[7]={x=-10.67,z=0.59,},
				[8]={x=-5.25,z=1.1699999570847,},
				[9]={x=-2.4900000095367,z=4.1500000953674,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
	},
	single={
		[1]={[1]={[1]={x=1.14,z=-1.2,},},[2]={[1]={x=-3.323401927948,z=3.3234009742737,},},},
		[2]={
			[1]={
				[1]={x=1.14,z=-1.2,},
				[5]={x=0.73000001907349,z=-4.4000000953674,},
				[9]={x=2.5199999809265,z=-4.4099998474121,},
				[10]={x=4.5799999237061,z=-2.1900000572205,},
			},
			[2]={
				[1]={x=-2.18,z=3.69,},
				[5]={x=-6.6,z=4.81,},
				[9]={x=-5.77,z=7.68,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
		[3]={
			[1]={
				[1]={x=1.3500000238419,z=-1.25,},
				[2]={x=4.4800000190735,z=-0.49000000953674,},
				[5]={x=0.77999997138977,z=-4.4299998283386,},
				[9]={x=2.9100000858307,z=-4.2699999809265,},
				[10]={x=4.3400001525879,z=-2.8199999332428,},
			},
			[2]={
				[1]={x=-2.18,z=3.69,},
				[2]={x=-5.6099999427795,z=0.8,},
				[5]={x=-6.6,z=4.81,},
				[9]={x=-5.77,z=7.68,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
		[4]={
			[1]={
				[1]={x=1.14,z=-1.2,},
				[2]={x=4.1300001144409,z=-1.1000000238419,},
				[3]={x=-2.3599998950958,z=-4.7399997711182,},
				[5]={x=0.73000001907349,z=-4.4000000953674,},
				[9]={x=2.8499999046326,z=-4.2800002098083,},
				[10]={x=4.2699999809265,z=-2.8599998950958,},
			},
			[2]={
				[1]={x=-2.87,z=0.9,},
				[2]={x=0.55,z=4.3,},
				[3]={x=-4.710,z=-1.52,},
				[5]={x=3.04,z=6.14,},
				[9]={x=-5.77,z=7.68,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
		[5]={
			[1]={
				[1]={x=1.14,z=-1.2,},
				[2]={x=4.1300001144409,z=-1.1000000238419,},
				[3]={x=-2.3599998950958,z=-4.7399997711182,},
				[4]={x=4.32,z=2.02,},
				[5]={x=0.73000001907349,z=-4.4000000953674,},
				[9]={x=2.7799999713898,z=-4.289999961853,},
				[10]={x=4.2699999809265,z=-2.7799999713898,},
			},
			[2]={
				[1]={x=-2.18,z=3.69,},
				[2]={x=-5.6099999427795,z=0.8,},
				[3]={x=1.08,z=7,},
				[4]={x=-3.04,z=9.19,},
				[5]={x=-6.6,z=4.81,},
				[9]={x=-5.77,z=7.68,},
				[10]={x=-3.9700000286102,z=2.5999999046326,},
			},
		},
	},
	team={
		[2]={
			[1]={
				[1]={x=3.2,z=-2.65,},
				[2]={x=0.65,z=-4.84,},
				[3]={x=5.34,z=-0.63,},
				[4]={x=-1.68,z=-6.6,},
				[5]={x=1.92,z=-0.87,},
				[6]={x=-0.73,z=-3.31,},
				[9]={x=0.69,z=-6.13,},
				[10]={x=4.83,z=-2.3,},
			},
			[2]={
				[1]={x=-2.72,z=8.59,},
				[2]={x=-7.99,z=4.11,},
				[3]={x=0.53,z=8.28,},
				[4]={x=-8.23,z=0.27,},
				[5]={x=-0.24,z=4.53,},
				[6]={x=-3.98,z=1,},
				[9]={x=-8.65,z=8,},
				[10]={x=-5.06,z=9.36,},
			},
		},
		[3]={
			[1]={
				[1]={x=3.2,z=-2.65,},
				[2]={x=0.65,z=-4.84,},
				[3]={x=5.34,z=-0.63,},
				[4]={x=-1.68,z=-6.6,},
				[5]={x=1.92,z=-0.87,},
				[6]={x=-0.73,z=-3.31,},
				[7]={x=4.33,z=1.53,},
				[9]={x=0.69,z=-6.13,},
				[10]={x=4.83,z=-2.3,},
			},
			[2]={
				[1]={x=-2.72,z=8.59,},
				[2]={x=-7.99,z=4.11,},
				[3]={x=0.53,z=8.28,},
				[4]={x=-8.23,z=0.27,},
				[5]={x=-0.24,z=4.53,},
				[6]={x=-3.98,z=1,},
				[7]={x=-3,z=3.72,},
				[9]={x=-8.65,z=8,},
				[10]={x=-5.06,z=9.36,},
			},
		},
		[4]={
			[1]={
				[1]={x=3.2,z=-2.65,},
				[2]={x=0.65,z=-4.84,},
				[3]={x=5.34,z=-0.63,},
				[4]={x=-1.68,z=-6.6,},
				[5]={x=1.92,z=-0.87,},
				[6]={x=-0.73,z=-3.31,},
				[7]={x=4.33,z=1.53,},
				[8]={x=-3.01,z=-5.24,},
				[9]={x=0.69,z=-6.13,},
				[10]={x=4.83,z=-2.3,},
			},
			[2]={
				[1]={x=-5.74,z=6.81,},
				[2]={x=-8.97,z=2.98,},
				[3]={x=-1.81,z=9.19,},
				[4]={x=-5.67,z=1.67,},
				[5]={x=-0.78,z=6.2,},
				[6]={x=-3.32,z=3.98,},
				[7]={x=-3,z=3.72,},
				[8]={x=-5.34,z=6.61,},
				[9]={x=-8.65,z=8,},
				[10]={x=-5.06,z=9.36,},
			},
		},
	},
	yjfuben={
		[4]={
			[1]={
				[1]={x=3.2,z=-2.65,},
				[2]={x=0.65,z=-4.84,},
				[3]={x=5.34,z=-0.63,},
				[4]={x=-1.68,z=-6.6,},
				[5]={x=1.92,z=-0.87,},
				[6]={x=-0.73,z=-3.31,},
				[7]={x=4.33,z=1.53,},
				[8]={x=-3.01,z=-5.24,},
				[9]={x=0.69,z=-6.13,},
				[10]={x=4.83,z=-2.3,},
			},
			[2]={
				[1]={x=-2.72,z=8.59,},
				[2]={x=-7.99,z=4.11,},
				[3]={x=0.53,z=8.28,},
				[4]={x=-8.23,z=0.27,},
				[5]={x=-0.24,z=4.53,},
				[6]={x=-3.98,z=1,},
				[7]={x=-3,z=3.72,},
				[8]={x=-5.34,z=6.61,},
				[9]={x=-8.65,z=8,},
				[10]={x=-5.06,z=9.36,},
			},
		},
	},
}

--DataTools.GenLinupGridData(r, c) Tạo dữ liệu
GRID_POS_MAP={
	A1={x=3.0222222222222,z=-4.2311111111111,},
	A10={x=1.8133333333333,z=-0.60444444444444,},
	A11={x=4.2311111111111,z=-5.44,},
	A12={x=5.44,z=-4.2311111111111,},
	A2={x=4.2311111111111,z=-3.0222222222222,},
	A3={x=1.8133333333333,z=-5.44,},
	A4={x=5.44,z=-1.8133333333333,},
	A5={x=1.8133333333333,z=-3.0222222222222,},
	A6={x=3.0222222222222,z=-1.8133333333333,},
	A7={x=0.60444444444444,z=-4.2311111111111,},
	A8={x=4.2311111111111,z=-0.60444444444444,},
	A9={x=0.60444444444444,z=-1.8133333333333,},
	AA1={x=2.4177777777778,z=-2.4177777777778,},
	AA2={x=2.4177777777778,z=-4.8355555555556,},
	AA3={x=3.6266666666667,z=-3.6266666666667,},
	AA4={x=4.8355555555556,z=-2.4177777777778,},
	B1={x=-3.0222222222222,z=4.2311111111111,},
	B10={x=-1.8133333333333,z=0.60444444444444,},
	B11={x=-4.2311111111111,z=5.44,},
	B12={x=-5.44,z=4.2311111111111,},
	B2={x=-4.2311111111111,z=3.0222222222222,},
	B3={x=-1.8133333333333,z=5.44,},
	B4={x=-5.44,z=1.8133333333333,},
	B5={x=-1.8133333333333,z=3.0222222222222,},
	B6={x=-3.0222222222222,z=1.8133333333333,},
	B7={x=-0.60444444444444,z=4.2311111111111,},
	B8={x=-4.2311111111111,z=0.60444444444444,},
	B9={x=-0.60444444444444,z=1.8133333333333,},
	BB1={x=-2.4177777777778,z=2.4177777777778,},
	BB2={x=-2.4177777777778,z=4.8355555555556,},
	BB3={x=-3.6266666666667,z=3.6266666666667,},
	BB4={x=-4.8355555555556,z=2.4177777777778,},
	Center={x=0,z=0,},
}

GRID_POS_KEY={
	single={
		[1]={
			[1]={[1]=[[AA3]],[9]=[[A9]],[10]=[[A10]],},
			[2]={[1]=[[BB3]],[9]=[[B9]],[10]=[[B10]],},
		},
		[2]={
			[1]={[1]=[[AA3]],[5]=[[AA1]],[9]=[[A9]],[10]=[[A10]],},
			[2]={[1]=[[BB3]],[5]=[[BB1]],[9]=[[B9]],[10]=[[B10]],},
		},
		[3]={
			[1]={[1]=[[AA3]],[2]=[[A6]],[5]=[[A5]],[9]=[[A9]],[10]=[[A10]],},
			[2]={[1]=[[BB3]],[2]=[[B6]],[5]=[[B5]],[9]=[[B9]],[10]=[[B10]],},
		},
		[4]={
			[1]={[1]=[[AA3]],[2]=[[AA2]],[3]=[[AA4]],[5]=[[AA1]],[9]=[[A9]],[10]=[[A10]],},
			[2]={[1]=[[BB3]],[2]=[[BB2]],[3]=[[BB4]],[5]=[[BB1]],[9]=[[B9]],[10]=[[B10]],},
		},
		[5]={
			[1]={
				[1]=[[AA3]],
				[2]=[[A6]],
				[3]=[[AA2]],
				[4]=[[AA4]],
				[5]=[[A5]],
				[9]=[[A9]],
				[10]=[[A10]],
			},
			[2]={
				[1]=[[BB3]],
				[2]=[[B6]],
				[3]=[[BB2]],
				[4]=[[BB4]],
				[5]=[[B5]],
				[9]=[[B9]],
				[10]=[[B10]],
			},
		},
	},
	team={
		[2]={
			[1]={
				[1]=[[A1]],
				[2]=[[A2]],
				[3]=[[A3]],
				[4]=[[A4]],
				[5]=[[A5]],
				[6]=[[A6]],
				[9]=[[A9]],
				[10]=[[A10]],
			},
			[2]={
				[1]=[[B1]],
				[2]=[[B2]],
				[3]=[[B3]],
				[4]=[[B4]],
				[5]=[[B5]],
				[6]=[[B6]],
				[9]=[[B9]],
				[10]=[[B10]],
			},
		},
		[3]={
			[1]={
				[1]=[[AA3]],
				[2]=[[AA2]],
				[3]=[[AA4]],
				[4]=[[A6]],
				[5]=[[A5]],
				[6]=[[A7]],
				[7]=[[A8]],
				[9]=[[A9]],
				[10]=[[A10]],
			},
			[2]={
				[1]=[[BB3]],
				[2]=[[BB2]],
				[3]=[[BB4]],
				[4]=[[B6]],
				[5]=[[B5]],
				[6]=[[B7]],
				[7]=[[B8]],
				[9]=[[B9]],
				[10]=[[B10]],
			},
		},
		[4]={
			[1]={
				[1]=[[A1]],
				[2]=[[A2]],
				[3]=[[A3]],
				[4]=[[A4]],
				[5]=[[A5]],
				[6]=[[A6]],
				[7]=[[A7]],
				[8]=[[A8]],
				[9]=[[A9]],
				[10]=[[A10]],
			},
			[2]={
				[1]=[[B1]],
				[2]=[[B2]],
				[3]=[[B3]],
				[4]=[[B4]],
				[5]=[[B5]],
				[6]=[[B6]],
				[7]=[[B7]],
				[8]=[[B8]],
				[9]=[[B9]],
				[10]=[[B10]],
			},
		},
	},
}
